---
- project:
    name: Osmocom_OBS
    jobs:
      - Osmocom_OBS_{type}
    type:
      - master:
          conflict_version: ""
      - nightly:
          # For nightly we don't provide ABI compatibility, make sure packages
          # from different build dates are not mixed by accident
          conflict_version: "$(date +%Y%m%d%H%M)"
      - latest:
          conflict_version: ""

- job-template:
    name: 'Osmocom_OBS_{type}'
    project-type: freestyle
    concurrent: false
    defaults: global
    description: |
      See <a href="https://osmocom.org/projects/cellular-infrastructure/wiki/Binary_Packages">Wiki: binary packages</a>
      for more information.
    properties:
      - build-discarder:
          days-to-keep: 30
          num-to-keep: 30
    node: obs
    parameters:
      - string:
          name: BRANCH
          description: osmo-ci.git branch
          default: 'refs/remotes/origin/master'
    builders:
      - shell: |
          export PYTHONUNBUFFERED=1

          ./scripts/obs/update_obs_project.py \
            --apiurl https://obs.osmocom.org \
            --conflict-version {conflict_version} \
            --docker \
            --feed {type} \
            --meta \
            osmocom:{type}
    scm:
      - git:
          branches:
            - '$BRANCH'
          url: https://gerrit.osmocom.org/osmo-ci
          git-config-name: 'Jenkins Builder'
          git-config-email: 'jenkins@osmocom.org'
    triggers:
      - timed: "H 20 * * *"

    publishers:
      - email:
          notify-every-unstable-build: true
          recipients: 'jenkins-notifications@lists.osmocom.org'

# vim: expandtab tabstop=2 shiftwidth=2
